---
title: RTCPeerConnection.pendingRemoteDescription
slug: Web/API/RTCPeerConnection/pendingRemoteDescription
tags:
  - API
  - Property
  - RTCPeerConnection
  - Read-only
  - Reference
  - SDP
  - WebRTC
  - pendingRemoteDescription
---
<p>{{WebRTCSidebar}}</p>

<p>The read-only property <code><strong>RTCPeerConnection.pendingRemoteDescription</strong></code> returns an {{domxref("RTCSessionDescription")}} object describing a pending configuration change for the remote end of the connection. This does not describe the connection as it currently stands, but as it may exist in the near future. Use {{domxref("RTCPeerConnection.currentRemoteDescription")}} or {{domxref("RTCPeerConnection.remoteDescription")}} to get the current session description for the remote endpoint. For details on the difference, see {{SectionOnPage("/en-US/docs/Web/API/WebRTC_API/Connectivity", "Pending and current descriptions")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sessionDescription</em> = <em>RTCPeerConnection</em>.pendingRemoteDescription;</pre>

<h3 id="Return_value">Return value</h3>

<p>If a remote description change is in progress, this is an {{domxref("RTCSessionDescription")}} describing the proposed configuration. Otherwise, this returns <code>null</code>.</p>

<h2 id="Example">Example</h2>

<p>This example looks at the <code>pendingRemoteDescription</code> to determine whether or not there's a description change being processed.</p>

<pre class="brush: js">var pc = new RTCPeerConnection();
…
var sd = pc.pendingRemoteDescription;
if (sd) {
  // There's a description change underway!
}
else {
  // No description change pending
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-peerconnection-pendingremotedesc', 'RTCPeerConnection.pendingRemoteDescription') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.pendingRemoteDescription")}}</p>

<div class="note">
<p>The addition of <code>pendingRemoteDescription</code> and {{domxref("RTCPeerConnection.currentRemoteDescription", "currentRemoteDescription")}} to the WebRTC spec is relatively recent. In browsers which don't support them, only {{domxref("RTCPeerConnection.remoteDescription", "remoteDescription")}} is available.</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCPeerConnection.setRemoteDescription()")}}, {{domxref("RTCPeerConnection.currentRemoteDescription")}}, {{domxref("RTCPeerConnection.remoteDescription")}}</li>
 <li>{{domxref("RTCPeerConnection.setLocalDescription()")}}, {{domxref("RTCPeerConnection.localDescription")}}, {{domxref("RTCPeerConnection.pendingLocalDescription")}}, {{domxref("RTCPeerConnection.currentLocalDescription")}}</li>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
</ul>
